<sqtm-core-entity-view-wrapper [sqtmCoreViewId]="'milestone-view'">
  <div class="flex full-height full-width neutral-background-color">
    @if (milestoneViewService.componentData$ | async; as componentData) {
      <div class="flex-column full-width">
        <ng-content select="[projection=context-title]"> </ng-content>
        <div class="flex-row full-width">
          <sqtm-app-admin-view-header
            class="full-width p-t-10 p-r-20"
            [editableTitle]="componentData.milestone.canEdit"
            [dropdownMenu]="milestoneMenu"
            [showMenu]="componentData.milestone.canEdit"
            [entityNameKey]="'label'"
          >
            <ng-content select="[projection=context-buttons]"> </ng-content>
          </sqtm-app-admin-view-header>
        </div>
        <div class="flex-row full-width full-height">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    sqtmCoreDefaultAnchorLink
                    [id]="'information'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.information.plural' | translate
                    "
                    [iconName]="'sqtm-core-administration:information'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'projects'"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.project.label.plural' | translate
                    "
                    [iconName]="'sqtm-core-administration:project'"
                  >
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
              </sqtm-core-anchor>
            </div>
          </div>
          <div class="admin-contextual-content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    }
  </div>

  <nz-dropdown-menu #milestoneMenu="nzDropdownMenu">
    <ul nz-menu [attr.data-test-menu-id]="'milestone-menu'">
      <li
        nz-menu-item
        class="sqtm-core-error-message"
        [attr.data-test-menu-item-id]="'delete-milestone'"
        (click)="handleDelete()"
      >
        {{ 'sqtm-core.generic.label.delete' | translate }}
      </li>
    </ul>
  </nz-dropdown-menu>
</sqtm-core-entity-view-wrapper>
